Get bill workflow settings
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
WorkflowSettingsResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| apExport | ExportWorkflowChildV202410 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ExportWorkflowChildV202410 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| approval | ApprovalWorkflowChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ApprovalWorkflowChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| batch | BatchWorkflowSettings | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BatchWorkflowSettings properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billImport | BillImportWorkflowSettings | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillImportWorkflowSettings properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| chargeback | ChargebackWorkflowSettings | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ChargebackWorkflowSettings properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| glExport | ExportWorkflowChildV202410 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ExportWorkflowChildV202410 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| paymentExport | ExportWorkflowChildV202410 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ExportWorkflowChildV202410 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "apExport": { "canExport": "string", "exportModeEnabled": false, "includePaymentDetails": false, "includeUdfs": false
}, "approval": { "approvalModeEnabled": false, "confirmEditDelete": false
}, "batch": { "accountPeriodName": { "required": false, "useField": false
}, "accountPeriodYear": { "required": false, "useField": false
}, "batchModeEnabled": false, "controlCode": { "required": false, "useField": false
}, "dueDate": { "required": false, "useField": false
}, "invoiceNumber": { "required": false, "useField": false
}, "nextReading": { "required": false, "useField": false
}, "statementDate": { "required": false, "useField": false
}
}, "billImport": { "errorHandling": "string"
}, "chargeback": { "allowAdvancedChargebackSettings": false
}, "glExport": { "canExport": "string", "exportModeEnabled": false, "includePaymentDetails": false, "includeUdfs": false
}, "paymentExport": { "canExport": "string", "exportModeEnabled": false, "includePaymentDetails": false, "includeUdfs": false
}
}